#ifndef ACQUSITION_INFO_H
#define ACQUSITION_INFO_H

#include <QObject>

#include "SDCMCommonStructure.h"

class ACQUISITION_INFO
{
public:
    ACQUISITION_INFO();

    void Clear();

    SDATA_PATIENT* GetPatientInfo();
    SDATA_STUDY* GetStudyInfo();
    SDATA_SERIES* GetSeriesInfo();
    SDATA_IMAGE* GetImageInfo();
    SDATA_SCHEDULED_DATA* GetScheduledDataInfo();

    int m_nIndexPatient;
    int m_nIndexStudy;
    int m_nIndexSeries_Image;
    int m_nSeriesNumber;
    int m_nIndexSeries_Video;

    int m_nAcquisitionImageMax;
    int m_nAcquisitionVideoMax;

    QString m_strImageFilename;
    QString m_strVideoFilename;

    void SetDataPatient(SDATA_PATIENT data);
    void SetDataStudy(SDATA_STUDY data);
    void SetDataSeries(SDATA_SERIES data);
    void SetDataImage(SDATA_IMAGE data);
    void SetDataScheduledData(SDATA_SCHEDULED_DATA data);

protected:
    SDATA_PATIENT m_Patient;
    SDATA_STUDY m_Study;
    SDATA_SERIES m_Series;
    SDATA_IMAGE m_Image;
    SDATA_SCHEDULED_DATA m_ScheduledData;
};

#endif // ACQUSITION_INFO_H
